## mars.mips.instructions.syscalls
Class SyscallPrintIntHex

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallPrintIntHex

All Implemented Interfaces:
  Syscall

    public class SyscallPrintIntHex

extends AbstractSyscall

Service to display integer stored in $a0 on the console.

Constructor Summary
`SyscallPrintIntHex()` Build an instance of the Print Integer syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to print on the console the integer stored in $a0, in hexadecimal format.

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallPrintIntHex

    public SyscallPrintIntHex()

  Build an instance of the Print Integer syscall. Default service number is 1 and name is "PrintInt".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to print on the console the integer stored in $a0, in hexadecimal format.

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`